httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dirk-Willem van Gulik <Dirk.vanGu...@jrc.it>
Subject Re: crypt() not in usual library on RedHat 5?
Date Mon, 08 Dec 1997 20:54:03 GMT
Yes, ths works on 1.0.8 as well.

DW.
On Mon, 8 Dec 1997, Marc Slemko wrote:

> On Mon, 8 Dec 1997, Rodent of Unusual Size wrote:
> 
> > Someone's doing a verification install for me on RedHat Linux 5.0.
> > 1.3b3 builds just fine, but the 1.2.4 kit comes up with the
> > following:
> > 
> > mod_auth.o: In function 'authenticate_basic_user':
> > mod_auth.o(.text+0x2d0): undefined refrence to 'crypt'
> > Make:[httpd] Error 1
> > 
> 
> Configure:
> 
>     *-linux*)
>         # newer systems using glibc 2.x need -lcrypt
>         if ./helpers/TestCompile lib crypt; then
>             LIBS="$LIBS -lcrypt"
>         fi
>         ;;
> 
> 
> 

http://cils.ceo.org                         http://enrm.ceo.org
dirkx@technologist.com                     Dirk.vanGulik@jrc.it
+39 332 78 0014       +39 332 78 9549       fax +39 332 78 9185
ISEI/ESBA;                     The Center For Earth Observation
Joint Research Centre of the European Communities, Ispra, Italy


Mime
View raw message